OpenShot Audio Library | OpenShotAudio: juce::Base64 Struct Reference

OpenShot Audio Library | OpenShotAudio 0.3.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
juce::Base64 Struct Reference

`#include <juce_Base64.h>`

## Static Public Member Functions
static bool | convertToBase64 (OutputStream &base64Result, const void *sourceData, size_t sourceDataSize)
static bool | convertFromBase64 (OutputStream &binaryOutput, StringRef base64TextInput)
static String | toBase64 (const void *sourceData, size_t sourceDataSize)
static String | toBase64 (const String &textToEncode)

## Detailed Description

Contains some static methods for converting between binary and the standard base-64 encoding format.

Definition at line 32 of file juce_Base64.h.

## Member Function Documentation

## ◆ convertFromBase64()

bool juce::Base64::convertFromBase64 | ( | OutputStream & | binaryOutput,
|  | StringRef | base64TextInput
| ) |  |
| static

Converts a base-64 string back to its binary representation. This will write the decoded binary data to the given stream. If the string is not valid base-64, the method will terminate and return false.

Definition at line 73 of file juce_Base64.cpp.

## ◆ convertToBase64()

bool juce::Base64::convertToBase64 | ( | OutputStream & | base64Result,
|  | const void * | sourceData,
|  | size_t | sourceDataSize
| ) |  |
| static

Converts a binary block of data into a base-64 string. This will write the resulting string data to the given stream. If a write error occurs with the stream, the method will terminate and return false.

Definition at line 26 of file juce_Base64.cpp.

Referenced by toBase64().

## ◆ toBase64() [1/2]

String juce::Base64::toBase64 | ( | const String & | textToEncode | ) |
| static

Converts a string's UTF-8 representation to a base-64 string.

Definition at line 117 of file juce_Base64.cpp.

## ◆ toBase64() [2/2]

String juce::Base64::toBase64 | ( | const void * | sourceData,
|  | size_t | sourceDataSize
| ) |  |
| static

Converts a block of binary data to a base-64 string.

Definition at line 108 of file juce_Base64.cpp.

Referenced by toBase64().

The documentation for this struct was generated from the following files:

- juce_Base64.h
- juce_Base64.cpp